# 52°North Iceland [![Build Status](https://travis-ci.org/52North/iceland.svg)](https://travis-ci.org/52North/iceland)

52°North Iceland is a basic Java framework for OGC Web Services.

The 52°North Iceland was previously developed in the the [52°North SOS 4.x](https://github.com/52North/SOS) and was then extracted into an own project to be used in other projects.

## Documentation

Here you can find the [Documentation](doc/Index.md).

## Branches

This project follows the [Gitflow branching model](http://nvie.com/posts/a-successful-git-branching-model/). "[master](../../tree/master)" reflects the latest stable release.
Ongoing development is done in branch [develop](../../tree/develop) and dedicated feature branches (feature-\* or feature/\*).

## Code Compilation

This project is managed with Maven3. Simply run `mvn clean install`

## Maven dependency

52°North Iceland is provided via Maven Central.

To integrate 52°North Iceland into your Maven project, you can use this dependency definition:

```xml
<dependency>
	<groupId>org.n52.iceland</groupId>
	<artifactId>iceland</artifactId>
	<version>1.0.0</version>
</dependency>
```

## Requirements

Java 8

## Contributing

You are interesting in contributing the 52°North Iceland and you want to pull your changes to the 52N repository to make it available to all?

In that case we need your official permission and for this purpose we have a so called contributors license agreement (CLA) in place. With this agreement you grant us the rights to use and publish your code under an open source license.

A link to the contributors license agreement and further explanations are available here: 

    http://52north.org/about/licensing/cla-guidelines


## Support and Contact

You can get support in the community mailing list and forums:

    http://52north.org/resources/mailing-lists-and-forums/

If you encounter any issues with the software or if you would like to see
certain functionality added, let us know at:

 - Carsten Hollmann (c.hollmann@52north.org)
 - Christian Autermann (c.autermann@52north.org)

The Sensor Web Community

52°North Inititative for Geospatial Open Source Software GmbH, Germany
